Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jclark.xsl.tr
Class EngineImpl

    java.lang.Object
      com.jclark.xsl.om.NameTableImpl
          com.jclark.xsl.tr.EngineImpl

All Implemented Interfaces:
  Engine, LoadContext, NameTable

public class EngineImpl
extends NameTableImpl
implements Engine, LoadContext

compiles a stylesheet from a (XSLT D)OM

Constructor Summary
`EngineImpl(XMLProcessor parser, ExtensionHandler extensionHandler)` we'll keep track of the loader/processor for sheet creation time

Method Summary
`Sheet` | `createSheet(Node node)` complies the stylesheet from the parsed OM
`Sheet` | `createSheet(Node node, ActionDebugTarget debugger)` complies the stylesheet from the parsed OM providing a debugger
`ActionDebugTarget` | `getDebugger()` are we instrumenting this transformer?
`boolean` | `getIncludeComments()` include comment nodes?
`boolean` | `getIncludeProcessingInstructions()` include processing instructions?
`NameTable` | `getNameTable()`
`LoadContext` | `getSheetLoadContext()`
`boolean` | `getStripSource(Name elementTypeName)` white space handling

Methods inherited from class com.jclark.xsl.om.NameTableImpl
`createName, createName, getEmptyNamespacePrefixMap`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EngineImpl

    public EngineImpl(XMLProcessor parser,
                      ExtensionHandler extensionHandler)

  we'll keep track of the loader/processor for sheet creation time

Method Detail

### createSheet

    public Sheet createSheet(Node node)
                      throws java.io.IOException,
                             XSLException

  complies the stylesheet from the parsed OM

  Specified by:
    `createSheet` in interface `Engine`
  Throws:
    `java.io.IOException`
    `XSLException`

### createSheet

    public Sheet createSheet(Node node,
                             ActionDebugTarget debugger)
                      throws java.io.IOException,
                             XSLException

  complies the stylesheet from the parsed OM providing a debugger

  Specified by:
    `createSheet` in interface `Engine`
  Throws:
    `java.io.IOException`
    `XSLException`

### getStripSource

    public boolean getStripSource(Name elementTypeName)

  Description copied from interface: `LoadContext`
  white space handling

  Specified by:
    `getStripSource` in interface `LoadContext`

### getIncludeComments

    public boolean getIncludeComments()

  Description copied from interface: `LoadContext`
  include comment nodes?

  Specified by:
    `getIncludeComments` in interface `LoadContext`

### getIncludeProcessingInstructions

    public boolean getIncludeProcessingInstructions()

  Description copied from interface: `LoadContext`
  include processing instructions?

  Specified by:
    `getIncludeProcessingInstructions` in interface `LoadContext`

### getSheetLoadContext

    public LoadContext getSheetLoadContext()

  Specified by:
    `getSheetLoadContext` in interface `Engine`

### getNameTable

    public NameTable getNameTable()

  Specified by:
    `getNameTable` in interface `Engine`

### getDebugger

    public ActionDebugTarget getDebugger()

  Description copied from interface: `LoadContext`
  are we instrumenting this transformer?

  Specified by:
    `getDebugger` in interface `LoadContext`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD